package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
public class PersonController {

  @Autowired
  private PersonRepository personRepository;

@PostMapping("/people")
  public  Person createPerson(@RequestBody Person p){
    personRepository.save(p);
     return p;
  }
  @GetMapping("/people/{id}")
    public Person getPerson(@PathVariable int id){

      return personRepository.findOne(id);

    }


    @GetMapping("/people")
    public Iterable<Person> getPersonList(){
    return personRepository.findAll();

    }
    @PutMapping("people/{id}")
    public Person updatePerson(@RequestBody Person p, @PathVariable int id){
    Person personToBeUpdated = getPerson(id);
    personToBeUpdated.setFirstName(p.getFirstName());
    personToBeUpdated.setLastName(p.getLastName());
    personRepository.save(personToBeUpdated);
    return p;
    }

    @DeleteMapping("people/{id}")
    public void DeletePerson(@PathVariable int id){
    personRepository.delete(id);
    }
}
